/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_boton_01}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("pop_01").play();
         
         // Mostrar un elemento 
         sym.$("pop_01").show();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_boton_03}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("pop_03").play();
         
         // Mostrar un elemento 
         sym.$("pop_03").show();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_boton_02}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("pop_02").play(1);
         
         // Mostrar un elemento 
         sym.$("pop_02").show();
         
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'flecha_bt'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("flecha_bt");
   //Edge symbol end:'flecha_bt'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'pop_01'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.playReverse();
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide("slow");
         

      });
      //Edge binding end

   })("pop_01");
   //Edge symbol end:'pop_01'

   //=========================================================
   
   //Edge symbol: 'box_01'
   (function(symbolName) {   
   
   })("box_01");
   //Edge symbol end:'box_01'

   //=========================================================
   
   //Edge symbol: 'box_02'
   (function(symbolName) {   
   
   })("box_02");
   //Edge symbol end:'box_02'

   //=========================================================
   
   //Edge symbol: 'box_03'
   (function(symbolName) {   
   
   })("box_03");
   //Edge symbol end:'box_03'

   //=========================================================
   
   //Edge symbol: 'box_04'
   (function(symbolName) {   
   
   })("box_04");
   //Edge symbol end:'box_04'

   //=========================================================
   
   //Edge symbol: 'box_05'
   (function(symbolName) {   
   
   })("box_05");
   //Edge symbol end:'box_05'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.playReverse();
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide("slow");
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1550, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_flecha_bt_1}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("dos");
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("flecha_bt_2").stop("down");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_flecha_bt_1}", "mouseover", function(sym, e) {
         sym.getSymbol("flecha_bt_2").stop("down");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_flecha_bt_1}", "mouseout", function(sym, e) {
         sym.getSymbol("flecha_bt_2").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_flecha_bt_2}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("tres");
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("flecha_bt_2").stop("down");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_flecha_bt_2}", "mouseover", function(sym, e) {
         sym.getSymbol("flecha_bt_2").stop("down");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_flecha_bt_2}", "mouseout", function(sym, e) {
         sym.getSymbol("flecha_bt_2").stop("up");
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2635, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_flecha_bt}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.playReverse();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("flecha_bt").stop("down");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_flecha_bt}", "mouseover", function(sym, e) {
         sym.getSymbol("flecha_bt").stop("down");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_flecha_bt}", "mouseout", function(sym, e) {
         sym.getSymbol("flecha_bt").stop("up");

      });
      //Edge binding end

   })("pop_02");
   //Edge symbol end:'pop_02'

   //=========================================================
   
   //Edge symbol: 'bt_audio_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("pop_02").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("pop_02").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("pop_02").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("pop_02");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("pop_02").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("pop_02").$(soundId)[0].play();
         	sym.stop("down");
            sym.getComposition().getStage().getSymbol("pop_02");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("pop_02").$(soundId)[0].pause();
         	sym.stop("up");
            sym.getComposition().getStage().getSymbol("pop_02");
         }

      });
         //Edge binding end

      })("bt_audio_1");
   //Edge symbol end:'bt_audio_1'

   //=========================================================
   
   //Edge symbol: 'flecha_bt_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      })("flecha_bt_1");
   //Edge symbol end:'flecha_bt_1'

   //=========================================================
   
   //Edge symbol: 'bt_audio_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("pop_02").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("pop_02").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("pop_02").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("pop_02");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("pop_02").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("pop_02").$(soundId)[0].play();
         	sym.stop("down");
            sym.getComposition().getStage().getSymbol("pop_02");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("pop_02").$(soundId)[0].pause();
         	sym.stop("up");
            sym.getComposition().getStage().getSymbol("pop_02");
         }

      });
         //Edge binding end

      })("bt_audio_2");
   //Edge symbol end:'bt_audio_2'

   //=========================================================
   
   //Edge symbol: 'bt_audio_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("pop_02").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("pop_02").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("pop_02").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("pop_02");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("pop_02").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("pop_02").$(soundId)[0].play();
         	sym.stop("down");
            sym.getComposition().getStage().getSymbol("pop_02");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("pop_02").$(soundId)[0].pause();
         	sym.stop("up");
            sym.getComposition().getStage().getSymbol("pop_02");
         }

      });
         //Edge binding end

      })("bt_audio_3");
   //Edge symbol end:'bt_audio_3'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.playReverse();
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide("slow");
         

      });
         //Edge binding end

      })("pop_03");
   //Edge symbol end:'pop_03'

   //=========================================================
   
   //Edge symbol: 'flecha_bt_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
            //Edge binding end

         })("flecha_bt_2");
   //Edge symbol end:'flecha_bt_2'

})(jQuery, AdobeEdge, "EDGE-94063035");